<?php
/*
=====================================================
 Модуль создал: REZER (http://rezer.net)
=====================================================
 Файл: del.post.php
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Назначение: удаление объявления
=====================================================
*/

if( !defined( "DATALIFEENGINE" ) ) die( "Hacking attempt!" );

//--------------------------------------------------=-=-=-=-=
//	Проверка на залогиненность
//--------------------------------------------------=-=-=-=-=

if( $is_logged )
	{
		//--------------------------------------------------=-=-=-=-=
		//	Инициализируем категорию
		//--------------------------------------------------=-=-=-=-=
		
		$id = intval( $_REQUEST['id'] );
		if( $id )
			{
				$result = $db->query( "SELECT * FROM ".PREFIX."_board_post WHERE id='{$id}'" );
				if( $db->num_rows( $result ) > 0 )
					{
						$row = $db->get_row( $result );
						$category = intval( $row['category'] );
						
						//--------------------------------------------------=-=-=-=-=
						//	Проверяем, разрешено ли редактировать данное объявление
						//--------------------------------------------------=-=-=-=-=
						
						if( $Board->AllowEditPost( $row['author_id'], $row['approve'] ) )
							{
								$Board->RequestCat = $category;
								$RowCat = $Board->DB['category'][ $Board->RequestCat ];
								$Folder = $RowCat['template'] != "" ? totranslit( $RowCat['template'] ) : "default";
								
								$SpeedBarCat = $Board->SpeedBarCat( $Board->RequestCat );
								
								for( $i = count( $SpeedBarCat ); $i > 0; $i-- ) $module['title'][] = $SpeedBarCat[ ( $i - 1 ) ]['title'];
								for( $i = count( $SpeedBarCat ); $i > 0; $i-- ) $module['speedbar'][] = "<a href=\"".$SpeedBarCat[ ( $i - 1 ) ]['link']."\">".$SpeedBarCat[ ( $i - 1 ) ]['title']."</a>";
								
								$module['title'][] = "Удаление объявления";
								$module['speedbar'][] = "Удаление объявления";
								
								if( isset( $_POST['submit'] ) )
									{
										$Board->DelPostCategory( $category );
										$db->query( "DELETE FROM ".PREFIX."_board_comments WHERE `board_id`='{$id}'" );
										$db->query( "DELETE FROM ".PREFIX."_board_post WHERE id='{$id}'" );
										$tpl->Load_Template( "board/{$Folder}/info.tpl" );
										$tpl->set( "{title}", "Информация" );
										$tpl->set( "{error}", "Ваше объявление успешно удалено." );
										$tpl->compile( "board_content" );
										$tpl->clear();
									}
										else
									{
										$tpl->Load_Template( "board/{$Folder}/del.tpl" );
										$tpl->copy_template = "<form method=\"post\" enctype=\"multipart/form-data\" action=\"\">{$tpl->copy_template}</form>";
										$tpl->compile( "board_content" );
										$tpl->clear();
									}
								
								// Разрешаем вывод формы поиска
								$BoardLoadMainTpl = true;
								$BoardAllowSearch = false;
							}
								else
							{
								$module['title'][] = "Удаление объявления";
								$module['speedbar'][] = "Удаление объявления";
								
								$tpl->Load_Template( "info.tpl" );
								$tpl->set( "{title}", "Ошибка" );
								$tpl->set( "{error}", "Вы не можете удалить данное объявление." );
								$tpl->compile( "board" );
								$tpl->clear();	
							}
					}
						else
					{
						$module['title'][] = "Удаление объявления";
						$module['speedbar'][] = "Удаление объявления";
						
						$tpl->Load_Template( "info.tpl" );
						$tpl->set( "{title}", "Ошибка" );
						$tpl->set( "{error}", "Указанное объявление не найдено, возможно оно было удалено ранее." );
						$tpl->compile( "board" );
						$tpl->clear();
					}
			}
		
		//--------------------------------------------------=-=-=-=-=
		//	В случае ошибки, выводим информацию
		//--------------------------------------------------=-=-=-=-=
		
				else
			{
				$module['title'][] = "Удаление объявления";
				$module['speedbar'][] = "Удаление объявления";
				
				$tpl->Load_Template( "info.tpl" );
				$tpl->set( "{title}", "Ошибка" );
				$tpl->set( "{error}", "Вы не указали уникальный идентификационный номер объявления." );
				$tpl->compile( "board" );
				$tpl->clear();
			}
	}
		else
	{
		$module['title'][] = "Удаление объявления";
		$module['speedbar'][] = "Удаление объявления";
				
		$tpl->Load_Template( "info.tpl" );
		$tpl->set( "{title}", "Ошибка" );
		$tpl->set( "{error}", "Вы не авторизированы." );
		$tpl->compile( "board" );
		$tpl->clear();
	}

?>